/*
 * Class FINITE [POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1804 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1804 [] = {0xFF01,1551,1803,881,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1804 [] = {0xFF01,1803,881,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1804 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1804 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1804 [] = {0xFF01,1803,881,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1804 [] = {0xFF01,1803,881,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1804 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1804 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1804 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1804 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1804 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1804 [] = {1803,881,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1804 [] = {0xFF01,1803,881,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1804 [] = {0xFF01,1792,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1804 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1804[] = {
	{EIF_GENERIC(NULL), 9214, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1804), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1804), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1804), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1804), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1804), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1804), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1804), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1804), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1804), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1804), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1804), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1804), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1804), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1804), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9213, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8628, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8629, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8630, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8631, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8632, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1804), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1804), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
};
void Init1804(void)
{
	IDSC(desc_1804, 0, 1803);
	IDSC(desc_1804 + 1, 1, 1803);
	IDSC(desc_1804 + 32, 1134, 1803);
	IDSC(desc_1804 + 41, 554, 1803);
	IDSC(desc_1804 + 42, 878, 1803);
}


#ifdef __cplusplus
}
#endif
